Doomsday Engine - Bug #882

Fullbright psprites and colored lighting
2010-03-31 15:46 - danij

Status: New Start date: 2010-03-31
Priority: Normal % Done: 0%
Assignee:

Category: Redesign

Target version: Rendering

Description

Drawing fullbright psprites currently looks rather odd when colored sector lighting is in effect.

| proposed an algorithm to address this here:
http://www.doomworld.com/vb/doom-editing/50414-zdoom-colored-sector-and-weapons-flash/

Due to the way the current material/texture system works it is currently impractical to implement this presently but we should consider
it for 2.0

Labels: Graphics

Related issues:
Related to Feature #7: Next-gen renderer (codename "Gloom") Progressed 2003-07-10

History

#1 - 2013-10-22 19:10 - skyjake

- Tags set to Renderer, Weapons, Lights
- Category set to Redesign

- Target version deleted (1.9.0-beta6)

#2 - 2017-04-03 14:59 - skyjake

- Target version set to Rendering
